Bug 1119667 - Document PicketLink STSClient pool as unsupported feature
Summary: Document PicketLink STSClient pool as unsupported feature
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Documentation
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: GA
: EAP 6.3.0
Assignee: Scott Mumford
QA Contact: Hynek Mlnarik
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-15 09:09 UTC by Hynek Mlnarik
Modified: 2015-09-01 03:34 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-06 14:40:10 UTC
Type: Bug


Attachments (Terms of Use)

Description Hynek Mlnarik 2014-07-15 09:09:59 UTC
The PicketLink STSClient pool feature (bug 1069126) will be present in EAP 6.3.0 as an unsupported feature. Please document it accordingly.

This obsoletes bug 1108046 for 6.3.0 release.

Comment 1 Scott Mumford 2014-07-25 03:20:14 UTC
The content created for bug 1108046 (topic 41096) has been incorporated into the Unsupported Features section of the Release Notes.

I did not remove the content from the Security Guide as associate Josh Wulf is the owner of that book.

Comment 2 Scott Mumford 2014-07-25 05:47:53 UTC
A new version of the Release Notes is available for review at:
https://documentation-devel.engineering.redhat.com/site/documentation/en-US/JBoss_Enterprise_Application_Platform/6.3/html-single/6.3.0_Release_Notes/index.html
(ensure you're reviewing version 6.3.0-17)

Brew task:
http://brewweb.devel.redhat.com/brew/taskinfo?taskID=7735113

Comment 3 Josef Cacek 2014-07-25 11:22:17 UTC
Verification failed. There are minor issues in the text.

Description starts with
"The PicketLink subsystem provides ..."
but it should be
"The PicketLink provides ..."

Fix code snippets (indentation is not correct and "fact" must be replaced with "pool"):
 
1)
final STSClientPool pool = STSClientPoolFactory.getPoolInstance();
pool.createPool(20, stsClientConfig);
final STSClient client = pool.getClient(stsClientConfig);

2)
pool.returnClient()

3)
if (! pool.configExists(stsClientConfig) {  
    pool.createPool(stsClientConfig);  
}

4)
pool.destroyPool(stsClientConfig);

Comment 4 Josef Cacek 2014-07-25 11:26:17 UTC
And one more issue. Replace

"When the PicketLink Federation subsystem is enabled, all client pools are destroyed."

with something like

"When the PicketLink Federation subsystem is enabled, all client pools created for a deploymet are destroyed automatically during the undeploy."

Comment 7 Lucas Costi 2014-07-31 04:09:39 UTC
Changes from comments 3 and 4 are now on-stage and ready for review (Revision 6.3.0-18):

https://documentation-devel.engineering.redhat.com/site/documentation/en-US/JBoss_Enterprise_Application_Platform/6.3/html-single/6.3.0_Release_Notes/index.html

Comment 8 Josef Cacek 2014-07-31 08:36:44 UTC
Verified on docs-stage.
Revision 6.3.0-18


Note You need to log in before you can comment on or make changes to this bug.